Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class remove_plan

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.remove_plan

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class remove_plan

extends DefaultInternalAction

Internal action: `.remove_plan`.

Description: removes plans from the agent's plan library.

Parameters:

- + label(s) (structure or list of structures): the label of the plan to be removed. If this parameter is a list of labels, all plans of this list are removed.
- + source (atom [optional]): the source of the plan to be removed. The default value is `self`.

Examples:

- `.remove_plan(l1)`: removes the plan identified by label `l1[source(self)]`.
- `.remove_plan(l1,bob)`: removes the plan identified by label `l1[source(bob)]`. Note that a plan with a source like that was probably added to the plan library by a tellHow message.
- `.remove_plan([l1,l2,l3])`: removes the plans identified by labels `l1[source(self)]`, `l2[source(self)]`, and `l3[source(self)]`.
- `.remove_plan([l1,l2,l3],bob)`: removes the plans identified by labels `l1[source(bob)]`, `l2[source(bob)]`, and `l3[source(bob)]`.
- `.relevant_plans({ +!g }, _, L); .remove_plan(LL)`: removes all plans with trigger event `+!g`.

See Also:
  `add_plan`, `plan_label`, `relevant_plans`, Serialized Form

Constructor Summary
`remove_plan()`

Method Summary
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### remove_plan

    public remove_plan()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD